apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaConnect
metadata:
  annotations:
    strimzi.io/use-connector-resources: "true"
  creationTimestamp: "2021-04-22T12:41:10Z"
  generation: 1
  managedFields:
  - apiVersion: kafka.strimzi.io/v1beta2
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:strimzi.io/use-connector-resources: {}
      f:spec:
        .: {}
        f:bootstrapServers: {}
        f:build:
          .: {}
          f:output:
            .: {}
            f:image: {}
            f:type: {}
          f:plugins: {}
        f:config:
          .: {}
          f:config.storage.replication.factor: {}
          f:group.id: {}
          f:key.converter: {}
          f:offset.storage.replication.factor: {}
          f:status.storage.replication.factor: {}
          f:value.converter: {}
        f:jvmOptions: {}
        f:livenessProbe:
          .: {}
          f:initialDelaySeconds: {}
        f:logging:
          .: {}
          f:loggers:
            .: {}
            f:log4j.logger.io.debezium: {}
            f:log4j.logger.org.apache.camel.kafkaconnector: {}
          f:type: {}
        f:metricsConfig:
          .: {}
          f:type: {}
          f:valueFrom:
            .: {}
            f:configMapKeyRef:
              .: {}
              f:key: {}
              f:name: {}
        f:readinessProbe:
          .: {}
          f:initialDelaySeconds: {}
        f:replicas: {}
        f:resources:
          .: {}
          f:limits:
            .: {}
            f:cpu: {}
            f:memory: {}
          f:requests:
            .: {}
            f:cpu: {}
            f:memory: {}
        f:template:
          .: {}
          f:pod: {}
        f:version: {}
    manager: oc
    operation: Update
    time: "2021-04-22T12:41:10Z"
  - apiVersion: kafka.strimzi.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions: {}
        f:connectorPlugins: {}
        f:labelSelector: {}
        f:observedGeneration: {}
        f:replicas: {}
        f:url: {}
    manager: okhttp
    operation: Update
    time: "2021-04-22T12:44:13Z"
  name: my-connect
  namespace: kafka
  resourceVersion: "138442"
  selfLink: /apis/kafka.strimzi.io/v1beta2/namespaces/kafka/kafkaconnects/my-connect
  uid: 3f7b26a3-1263-4d38-95e9-b130d9b1250f
spec:
  bootstrapServers: my-cluster-kafka-bootstrap:9092
  build:
    output:
      image: image-registry.openshift-image-registry.svc:5000/kafka/my-connect:latest
      type: docker
    plugins:
    - artifacts:
      - type: tgz
        url: https://repo1.maven.org/maven2/io/debezium/debezium-connector-postgres/1.4.0.Final/debezium-connector-postgres-1.4.0.Final-plugin.tar.gz
      name: debezium-postgres
    - artifacts:
      - type: tgz
        url: https://repo1.maven.org/maven2/org/apache/camel/kafkaconnector/camel-sjms2-kafka-connector/0.7.0/camel-sjms2-kafka-connector-0.7.0-package.tar.gz
      name: camel-sjms2
  config:
    config.storage.replication.factor: 3
    group.id: my-connect
    key.converter: org.apache.kafka.connect.storage.StringConverter
    offset.storage.replication.factor: 3
    status.storage.replication.factor: 3
    value.converter: org.apache.kafka.connect.storage.StringConverter
  jvmOptions:
    gcLoggingEnabled: false
  livenessProbe:
    initialDelaySeconds: 10
    timeoutSeconds: 5
  logging:
    loggers:
      log4j.logger.io.debezium: INFO
      log4j.logger.org.apache.camel.kafkaconnector: INFO
    type: inline
  metricsConfig:
    type: jmxPrometheusExporter
    valueFrom:
      configMapKeyRef:
        key: empty-file.yml
        name: connect-metrics
  readinessProbe:
    initialDelaySeconds: 60
    timeoutSeconds: 5
  replicas: 1
  resources:
    limits:
      cpu: 500m
      memory: 1Gi
    requests:
      cpu: 250m
      memory: 512Mi
  template:
    pod:
      imagePullSecrets: []
  version: 2.7.0
status:
  conditions:
  - lastTransitionTime: "2021-04-22T12:44:13.541995Z"
    status: "True"
    type: Ready
  connectorPlugins:
  - class: io.debezium.connector.postgresql.PostgresConnector
    type: source
    version: 1.4.0.Final
  - class: org.apache.camel.kafkaconnector.CamelSinkConnector
    type: sink
    version: 0.7.0
  - class: org.apache.camel.kafkaconnector.CamelSourceConnector
    type: source
    version: 0.7.0
  - class: org.apache.camel.kafkaconnector.sjms2.CamelSjms2SinkConnector
    type: sink
    version: 0.7.0
  - class: org.apache.camel.kafkaconnector.sjms2.CamelSjms2SourceConnector
    type: source
    version: 0.7.0
  - class: org.apache.kafka.connect.file.FileStreamSinkConnector
    type: sink
    version: 2.7.0.redhat-00005
  - class: org.apache.kafka.connect.file.FileStreamSourceConnector
    type: source
    version: 2.7.0.redhat-00005
  - class: org.apache.kafka.connect.mirror.MirrorCheckpointConnector
    type: source
    version: "1"
  - class: org.apache.kafka.connect.mirror.MirrorHeartbeatConnector
    type: source
    version: "1"
  - class: org.apache.kafka.connect.mirror.MirrorSourceConnector
    type: source
    version: "1"
  labelSelector: strimzi.io/cluster=my-connect,strimzi.io/name=my-connect-connect,strimzi.io/kind=KafkaConnect
  observedGeneration: 1
  replicas: 1
  url: http://my-connect-connect-api.kafka.svc:8083
